Bug 1310896 - SELinux is preventing /usr/sbin/collectd from using the setgid capability.
SELinux is preventing /usr/sbin/collectd from using the setgid capability.
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Simon Sekidde
Fedora Extras Quality Assurance
Depends On:
Blocks: 1310898
  Show dependency treegraph
Reported: 2016-02-22 17:55 EST by Simon Sekidde
Modified: 2016-03-05 01:22 EST (History)
5 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-158.8.fc23 selinux-policy-3.13.1-158.9.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-03-05 01:22:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Simon Sekidde 2016-02-22 17:55:04 EST
Description of problem:

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that collectd should have the setgid capability by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
allow this access for now by executing:
# grep collectd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:collectd_t:s0
Target Context                system_u:system_r:collectd_t:s0
Target Objects                Unknown [ capability ]
Source                        collectd
Source Path                   /usr/sbin/collectd
Port                          <Unknown>
Host                          <Unknown>
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-171.fc24.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain
                              4.5.0-0.rc4.git3.1.fc24.x86_64 #1 SMP Fri Feb 19
                              19:38:12 UTC 2016 x86_64 x86_64
Alert Count                   2290
First Seen                    2016-02-17 20:44:14 EST
Last Seen                     2016-02-17 23:39:55 EST
Local ID                      3deb0c7b-756c-4b6c-aa56-8f125e492724

Raw Audit Messages
type=AVC msg=audit(1455770395.835:210): avc:  denied  { setgid } for  pid=11438 comm="collectd" capability=6  scontext=system_u:system_r:collectd_t:s0 tcontext=system_u:system_r:collectd_t:s0 tclass=capability

type=SYSCALL msg=audit(1455770395.835:210): arch=x86_64 syscall=setgroups success=no exit=EPERM a0=1 a1=7f8a72790820 a2=1 a3=7f8a829c62e0 items=0 ppid=1240 pid=11438 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=collectd exe=/usr/sbin/collectd subj=system_u:system_r:collectd_t:s0 key=(null)

Hash: collectd,collectd_t,collectd_t,capability,setgid
Comment 2 Lukas Vrabec 2016-02-24 07:11:44 EST
Pull request merged.

Thank you Simon.
Comment 3 Fedora Update System 2016-02-27 08:50:28 EST
selinux-policy-3.13.1-158.9.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ffbae3a870
Comment 4 Fedora Update System 2016-02-28 08:54:20 EST
selinux-policy-3.13.1-158.9.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ffbae3a870
Comment 5 Fedora Update System 2016-03-05 01:22:01 EST
selinux-policy-3.13.1-158.9.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.